# The Matrix <--> Pnut bridge

This is a pnut.io channel bridge for Matrix using the Application Services (AS) API.

This bridge will pass pnut.io channel messages through to Matrix, and Matrix messages through to pnut.io channels.  Currently only public chat channels on pnut.io are supported but work is in progress to support private messages.


## Usage

To join a channel on pnut.io configured for public use:

* `/join #pnut_ID:monkeystew.net` where ID is the id number of the channel on pnut.io
* You can get the id number by looking at the URL when viewing the channel in patter.chat

By default any messages you send will be posted as the matrixbot user on pnut.io with your display name.  You can however authorize pnut-matrix to post as your account instead.

To link your Matrix ID with your pnut.io account:

* Start a direct chat with `@pnut-matrix-bot:monkeystew.net`
* Type the `!help` command to get started.


## Questions, comments, or issues

Join the chat!

* [Matrix] [#pnut-matrix:monkeystew.net](https://matrix.to/#/#pnut-matrix:monkeystew.net)
* [pnut.io] [patter.chat](https://patter.chat/room/999)
* [Gitter] [monkeystew-dev/pnut-matrix](https://gitter.im/monkeystew-dev/pnut-matrix)
* [XMPP] [pnut-matrix@chat.monkeystew.net](xmpp:pnut-matrix@chat.monkeystew.net?join)

See [chat/pnut-matrix](https://monkeystew.org/chat/pnut-matrix) for bridge details.
